\ProvidesClass{hcr_thesis}[2005/05/12 by Dirk Wollherr]
\typeout{-- 2005/05/12 revision V0.1 by Dirk Wollherr}
\typeout{-- 2007/04/16 revision V0.2 by Marion Sobotka}
\typeout{-- 2007/06/19 revision V0.3 by Marion Sobotka}
\typeout{-- 2007/07/17 revision V0.4 by Marion Sobotka}
\typeout{-- 2007/10/08 revision V0.5 by Marion Sobotka}
\typeout{-- 2007/11/05 revision V0.6 by Marion Sobotka}
\typeout{-- 2007/11/15 revision V0.7 by Marion Sobotka}
\typeout{-- 2008/01/24 revision V0.8 by Marion Sobotka}
\typeout{-- 2010/02/16 revision V0.9 by Marion Sobotka}
\typeout{-- 2010/04/12 revision V0.10 by Marion Sobotka}
\typeout{-- 2010/05/06 revision V0.11 by Marion Sobotka}
\typeout{-- 2010/12/17 revision V0.12 by Marion Sobotka}
\typeout{-- 2011/01/31 revision V0.13 by Marion Sobotka}
\typeout{--2013/04/05 revision V0.14 by Stefan Sosnowski}
\typeout{--2014/03/13 revision V0.16 by Marion Leibold}
\typeout{--2014/10/07 revision V0.17 by Marion Leibold}
\typeout{--2014/10/07 revision V0.17b by Marion Leibold and Andreas Lawitzky}
\typeout{--2014/10/07 revision V0.18 by Marion Leibold}
\typeout{-- This is early beta.}
\typeout{-- Report bugs to marion.leibold@tum.de.}
\NeedsTeXFormat{LaTeX2e}


\newif\if@cabinet      \global\@cabinetfalse
\newif\if@gallery      \global\@galleryfalse
\newif\if@langGer      \global\@langGertrue


\DeclareOption{HCR}{\def\@institute{HCR}}%
\DeclareOption{HCRLee}{\def\@institute{HCRLee}}%
\DeclareOption{HCRWollherr}{\def\@institute{HCRWollherr}}%
\DeclareOption{HCRWollherr}{\def\@institute{HCRLee}}%
\DeclareOption{HCRLeibold}{\def\@institute{HCRLeibold}}%
\DeclareOption{ITR}{\def\@institute{ITR}}%

\DeclareOption{german}{\@langGertrue}
\DeclareOption{english}{\@langGerfalse}


\DeclareOption{BA}{\def\@worktype{BA}}%
\DeclareOption{DA}{\def\@worktype{DA}}%
\DeclareOption{MA}{\def\@worktype{MA}}%
\DeclareOption{HS}{\def\@worktype{HS}}%
\DeclareOption{PP}{\def\@worktype{PP}}%
\DeclareOption{SeA}{\def\@worktype{SeA}}%
\DeclareOption{IP}{\def\@worktype{IP}}%
\DeclareOption{FP}{\def\@worktype{FP}}%

\DeclareOption{cabinet}{\@cabinettrue%
  \typeout{-- Output for display cabinet.}}
\DeclareOption{gallery}{\@gallerytrue%
  \typeout{-- Output for Student Gallery.}}


% default to german
\ExecuteOptions{german}
% make it into effect
\ProcessOptions

\if@cabinet
  \LoadClass[onecolumn,10pt]{article}
\else
  \LoadClass[onecolumn,12pt,a4paper]{article}
  \RequirePackage{graphicx}
  \RequirePackage[square,numbers]{natbib}
  \bibsep0cm
\fi
\RequirePackage{ifthen}

\if@langGer
  \RequirePackage[ngerman]{babel}
  \RequirePackage[utf8]{inputenc}
\fi

% some helper variables for \ifx
\def\@worktypeDA{DA}
\def\@worktypeBA{BA}
\def\@worktypeMA{MA}
\def\@worktypeHS{HS}
\def\@worktypePP{PP}
\def\@worktypeSeA{SeA}
\def\@worktypeIP{IP}
\def\@worktypeFP{FP}

\def\@instituteHCR{HCR}
\def\@instituteHCRLee{HCRLee}
\def\@instituteHCRWollherr{HCRWollherr}
\def\@instituteHCRWollherr{HCRLee}
\def\@instituteHCRLeibold{HCRLeibold}
\def\@instituteITR{ITR}

\newdimen\HCRx
\newdimen\HCRzero
\newdimen\HCRborder
\HCRborder 6mm
\HCRx 10mm
\HCRzero 10pt

\def\HCRmarks{
  \vbox to 0pt{%
    \rule{0pt}{0pt}%
    \hbox to 0pt{\hspace*{-\HCRborder}%
      \vbox{\hrule width \paperwidth}\hss}%
    \vss}\nointerlineskip
  \vbox to \HCRborder{%
    \rule{0pt}{\paperheight}%
    \hbox to 0pt{\hspace*{-\HCRborder}%
      \vbox{\hrule width \paperwidth}\hss}%
    \vss}\nointerlineskip
  \vbox to 0pt{%
    \vspace*{-\HCRborder}
    \hbox to 0pt{\hspace*{-\HCRborder}%
      \vbox{\vrule height \paperheight}\hss}%
    \vss}\nointerlineskip
  \vbox to 0pt{%
    \vspace*{-\HCRborder}
    \hbox to 0pt{\hspace*{-\HCRborder}\hspace*{\paperwidth}%
      \vbox{\vrule height \paperheight}\hss}%
    \vss}\nointerlineskip
}



% give appropriate names to section titles
\if@cabinet
  \newcommand{\probdesc}{}
  \if@langGer
    \newcommand{\tasks}{\section*{Aufgaben:}}
  \else
    \newcommand{\tasks}{\section*{Tasks:}}
  \fi
\else
    \if@gallery
        \newcommand{\probdesc}{}
        \newcommand{\tasks}{}
    \else
        \if@langGer
            \ifx\@worktype\@worktypeHS
                \newcommand{\tasks}{}
                \newcommand{\probdesc}{\section*{Problembeschreibung:}}
                \renewcommand\refname{Ausgew\"ahlte Literatur:}
            \else
            \ifx\@worktype\@worktypeIP
                \newcommand{\tasks}{\section*{Arbeitsplan:}}
                \newcommand{\probdesc}{\section*{Problembeschreibung:}}
                \renewcommand\refname{}
            \else
            \ifx\@worktype\@worktypeFP
                \newcommand{\tasks}{\section*{Arbeitsplan:}}
                \newcommand{\probdesc}{\section*{Problembeschreibung:}}
                \renewcommand\refname{Ausgew\"ahlte Literatur:}
            \else
                \newcommand{\probdesc}{\section*{Problembeschreibung:}}
                \newcommand{\tasks}{\section*{Leistungen:}}
                \renewcommand\refname{Ausgew\"ahlte Literatur:}
            \fi
            \fi
            \fi
        \else
            \ifx\@worktype\@worktypeHS
                \newcommand{\tasks}{}
                \newcommand{\probdesc}{\section*{Problem description:}}
                \renewcommand\refname{Bibliography:}
            \else
            \ifx\@worktype\@worktypeIP
                \newcommand{\tasks}{\section*{Work schedule:}}
                \newcommand{\probdesc}{\section*{Problem description:}}
                \renewcommand\refname{}
            \else
            \ifx\@worktype\@worktypeFP
                \newcommand{\tasks}{\section*{Work schedule:}}
                \newcommand{\probdesc}{\section*{Problem description:}}
                \renewcommand\refname{Bibliography:}
            \else
                \newcommand{\probdesc}{\section*{Problem description:}}
                \newcommand{\tasks}{\section*{Tasks:}}
                \renewcommand\refname{Bibliography:}
            \fi
            \fi
            \fi
        \fi
    \fi
\fi





% select correct heading
\if@langGer
  \typeout{-- language set to german.}
  \ifx\@worktype\@worktypeDA
    \def\@worktypetext{D I P L O M A R B E I T}
    \typeout{-- Type: Diplomarbeit.}
  \else
  \ifx\@worktype\@worktypeBA
    \def\@worktypetext{B A C H E L O R A R B E I T}
    \typeout{-- Type: Bachelorarbeit.}
  \else
  \ifx\@worktype\@worktypeMA
    \def\@worktypetext{M A S T E R A R B E I T}
    \typeout{-- Type: Masterarbeit.}
  \else
  \ifx\@worktype\@worktypeHS
    \def\@worktypetext{H A U P T S E M I N A R}
    \typeout{-- Type: Hauptseminar.}
  \else
  \ifx\@worktype\@worktypePP
    \def\@worktypetext{P R O J E K T P R A K T I K U M}
    \typeout{-- Type: Projektpraktikum.}
  \else
  \ifx\@worktype\@worktypeSeA
    \def\@worktypetext{S E M E S T E R A R B E I T}
    \typeout{-- Type: Semesterarbeit.}
  \else
  \ifx\@worktype\@worktypeIP
    \def\@worktypetext{I N G E N I E U R P R A X I S}
    \typeout{-- Type: Industriepraxis.}
  \else
  \ifx\@worktype\@worktypeFP
    \def\@worktypetext{F O R S C H U N G S P R A X I S}
    \typeout{-- Type: Forschungspraxis.}
  \else
    \def\@worktypetext{B A C H E L O R A R B E I T / M A S T E R A R B E I T}
    \typeout{-- Type: not specified.}
  \fi
  \fi
  \fi
  \fi
  \fi
  \fi
  \fi
  \fi
\else % english
  \typeout{-- language set to english.}
  \ifx\@worktype\@worktypeDA
    \def\@worktypetext{D I P L O M A\ \ \ T H E S I S}
    \typeout{-- Type: Diplomarbeit.}
  \else
  \ifx\@worktype\@worktypeBA
    \def\@worktypetext{B A C H E L O R\ \ \ T H E S I S}
    \typeout{-- Type: Bachelorarbeit.}
  \else
  \ifx\@worktype\@worktypeMA
    \def\@worktypetext{M A S T E R ' S\ \ \ T H E S I S}
    \typeout{-- Type: Masterarbeit.}
  \else
  \ifx\@worktype\@worktypeHS
    \def\@worktypetext{A D V A N C E D\ \ \ S E M I N A R}
    \typeout{-- Type: Advanced Seminar.}
  \else
  \ifx\@worktype\@worktypePP
    \def\@worktypetext{P R A C T I C A L\ \ \ C O U R S E}
    \typeout{-- Type: Projektpraktikum.}
  \else
  \ifx\@worktype\@worktypeSeA
    \def\@worktypetext{S E M E S T E R\ \ \ T H E S I S}
    \typeout{-- Type: Semesterarbeit.}
  \else
  \ifx\@worktype\@worktypeIP
    \def\@worktypetext{I N G E N I E U R P R A X I S}
    \typeout{-- Type: Industriepraxis.}
  \else
  \ifx\@worktype\@worktypeFP
    \def\@worktypetext{F O R S C H U N G S P R A X I S}
    \typeout{-- Type: Forschungspraxis.}
  \else
    \def\@worktypetext{B A C H E L O R \ \ \ T H E S I S / M A S T E R ' S\ \ \ T H E S I S}
    \typeout{-- Type: not specified.}
    \fi
    \fi
    \fi
    \fi
    \fi
    \fi
    \fi
    \fi
    \fi
%% SECTION heading spacing and font
%%
% arguments are: #1 - sectiontype name
% (for \@sect)   #2 - section level
%                #3 - section heading indent
%                #4 - top separation (absolute value used,
%                     neg indicates not to indent main text)
%                     If negative, make stretch parts negative too!
%                #5 - (absolute value used) positive:
%                     bottom separation after heading,
%                     negative: amount to indent main text after heading
%                Both #4 and #5 negative means to indent main text
%                and use negative top separation
%                #6 - font control
% You've got to have \normalfont\normalsize in the font specs below
% to prevent trouble when you do something like:
% \section{Note}{\ttfamily TT-TEXT} is known to ...

\if@cabinet
\renewcommand\section{\@startsection {section}{1}{\z@}%
  {-1ex \@plus -.2ex \@minus -.2ex}%
  {1ex \@plus.2ex}%
  {\normalfont\normalsize\underline}}
\else
\renewcommand\section{\@startsection {section}{1}{\z@}%
  {-3.5ex \@plus -1ex \@minus -.2ex}%
  {1ex \@plus.2ex}%
  {\normalfont\normalsize\underline}}
\fi


%% Bring items closer together in list environments
% Prevent infinite loops
\let\Itemize =\itemize
\let\Enumerate =\enumerate
\let\Description =\description
% Zero the vertical spacing parameters
\def\Nospacing{\itemsep=0pt\topsep=0pt\partopsep=0pt\parskip=0pt\parsep=0pt}
% Redefine the environments in terms of the original values
\renewenvironment{itemize}{\Itemize\Nospacing}{\endlist}
\renewenvironment{enumerate}{\Enumerate\Nospacing}{\endlist}
\renewenvironment{description}{\Description\Nospacing}{\endlist}


% %% Indentation of ITEMIZE
\leftmargin          0em
\leftmargini        1em


% the variables
\def\@student{N.N.}
\newcommand{\student}[1]{\def\@student{\mbox{}#1}}

\def\@studenttwo{\mbox{}}
\newcommand{\studenttwo}[1]{\def\@studenttwo{\mbox{}#1}}

\def\@studentthree{\mbox{}}
\newcommand{\studentthree}[1]{\def\@studentthree{\mbox{}#1}}

\def\@studentfour{\mbox{}}
\newcommand{\studentfour}[1]{\def\@studentfour{\mbox{}#1}}

\ifx\@institute\@instituteHCR
\def\@varprofessor{D. Lee}
\def\@varprofessortype{Univ.-Professor}
\else
\ifx\@institute\@instituteHCRLee
\def\@varprofessor{D. Lee}
\def\@varprofessortype{Univ.-Professor}
\else
\ifx\@institute\@instituteHCRWollherr
\def\@varprofessor{D. Wollherr}
\def\@varprofessortype{Univ.-Professor}
\else
\ifx\@institute\@instituteHCRLee
\def\@varprofessor{D. Lee}
\def\@varprofessortype{Univ.-Professor}
\else
\ifx\@institute\@instituteHCRLeibold
\def\@varprofessor{M. Leibold}
\def\@varprofessortype{Akad. Rat}
\else
\ifx\@institute\@instituteITR
\def\@varprofessor{S. Hirche}
\def\@varprofessortype{Univ.-Professor}
\fi
\fi
\fi
\fi
\fi
\fi

\newcommand{\professor}[1]{\def\@varprofessor{\mbox{}#1}}

\newcommand{\professortype}[1]{\def\@varprofessortype{\mbox{}#1}}





\def\@vartitletranslation{Translation of Title}
\newcommand{\titletranslation}[1]{\def\@vartitletranslation{#1}}

\def\@varmatnr{XXXXXXX}
\newcommand{\matnr}[1]{\def\@varmatnr{#1}}

\def\@varmatnrtwo{}
\newcommand{\matnrtwo}[1]{\def\@varmatnrtwo{#1}}

\def\@varmatnrthree{}
\newcommand{\matnrthree}[1]{\def\@varmatnrthree{#1}}

\def\@varmatnrfour{}
\newcommand{\matnrfour}[1]{\def\@varmatnrfour{#1}}

\def\@varstudyfield{XX-XX}
\newcommand{\studyfield}[1]{\def\@varstudyfield{#1}}

\def\@varsupervisor{Dipl.-Ing. N.N.}
\newcommand{\supervisor}[1]{\def\@varsupervisor{#1}}

\def\@roomno{Nxxxx}
\newcommand{\roomno}[1]{\def\@roomno{#1}}

\def\@varstart{xx.xx.xxxx}
\newcommand{\start}[1]{\def\@varstart{#1}}

\def\@varprog{xx.xx.xxxx}
\newcommand{\progrep}[1]{\def\@varprog{#1}}

\def\@varfinal{xx.xx.xxxx}
\newcommand{\finalrep}[1]{\def\@varfinal{#1}}

\def\@varprobdesctext{empty}
\newcommand{\probdesctext}[1]{\def\@varprobdesctext{#1}}

\def\@vartasktext{}
\newcommand{\tasktext}[1]{\def\@vartasktext{#1}}

\def\@varbibtext{}
\newcommand{\bibtext}[1]{\def\@varbibtext{#1}}





%%%%%%%%%%%%%%%%%%%%% M A K E L O G O %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\if@cabinet
\newcommand{\makelogo}{%
}
\else
\if@gallery
\newcommand{\makelogo}{%
}
\else


%%%%%%%%%%%%% Default For HCR %%%%%%%%%%%%%%%%%%
\ifx\@institute\@instituteHCR
\newcommand{\makelogo}{%
\begin{figure}[t!]
 \centering
   \setlength{\unitlength}{1cm}
{\fontfamily{phv}\selectfont
{\fontsize{8}{40}\selectfont TECHNISCHE UNIVERSIT\"AT M\"UNCHEN}\\
\vspace{2pt}
\textbf{\fontsize{10}{40}\selectfont Human-centered Assistive Robotics}\\

{\fontsize{8}{40}\selectfont UNIV.-PROF. DR.-ING. DONGHEUI LEE}\\
}
     \begin{picture}(16,-3)%-3      % Richtet TU-Text + Logos zentriert aus
      \put(-0.9,0.6)
        {\includegraphics{./logos/tum_logo}}
      \put(2.8,0.0)
        {}
      \put(15.4,0.35)
        {\includegraphics{./logos/HCR_logo}}
    \end{picture}
\end{figure}
}
%%%%%%%%%%%%% Wollherr %%%%%%%%%%%%%%%%%%
\else
\ifx\@institute\@instituteHCRWollherr
\newcommand{\makelogo}{%
\begin{figure}[t!]
 \centering
   \setlength{\unitlength}{1cm}
{\fontfamily{phv}\selectfont
{\fontsize{8}{40}\selectfont TECHNISCHE UNIVERSIT\"AT M\"UNCHEN}\\
\vspace{2pt}
\textbf{\fontsize{10}{40}\selectfont LEHRSTUHL F\"UR STEUERUNGS- UND REGELUNGSTECHNIK}\\

{\fontsize{8}{40}\selectfont UNIV.-PROF. DR.-ING. HABIL. DIRK WOLLHERR}
}
     \begin{picture}(16,-3)%-3      % Richtet TU-Text + Logos zentriert aus
      \put(-0.7,0.6)
        {\includegraphics{./logos/tum_logo}}
      \put(2.8,0.0)
        {}
      \put(15.4,0.35)
        {\includegraphics{./logos/HCR_logo}}
    \end{picture}
\end{figure}
}
%%%%%%%%%%%%% Lee %%%%%%%%%%%%%%%%%%
\else
\ifx\@institute\@instituteHCRLee
\newcommand{\makelogo}{%
\begin{figure}[t!]
 \centering
   \setlength{\unitlength}{1cm}
{\fontfamily{phv}\selectfont
{\fontsize{8}{40}\selectfont TECHNISCHE UNIVERSIT\"AT M\"UNCHEN}\\
\vspace{2pt}
\textbf{\fontsize{10}{40}\selectfont LEHRSTUHL F\"UR STEUERUNGS- UND REGELUNGSTECHNIK}\\

{\fontsize{8}{40}\selectfont UNIV.-PROF. DONGHEUI LEE}
}
     \begin{picture}(16,-3)%-3      % Richtet TU-Text + Logos zentriert aus
      \put(-0.7,0.6)
        {\includegraphics{./logos/tum_logo}}
      \put(2.8,0.0)
        {}
      \put(15.4,0.45)
        {\includegraphics[width=1.5cm]{./logos/hri_logo}}
    \end{picture}
\end{figure}
}
%%%%%%%%%%%%% Lee %%%%%%%%%%%%%%%%%%
\else
\ifx\@institute\@instituteHCRLee
\newcommand{\makelogo}{%
\begin{figure}[t!]
 \centering
   \setlength{\unitlength}{1cm}
{\fontfamily{phv}\selectfont
{\fontsize{8}{40}\selectfont TECHNISCHE UNIVERSIT\"AT M\"UNCHEN}\\
\vspace{2pt}
\textbf{\fontsize{10}{40}\selectfont LEHRSTUHL F\"UR STEUERUNGS- UND REGELUNGSTECHNIK}\\

{\fontsize{8}{40}\selectfont UNIV.-PROF. DR.-ING DONGHEUI LEE}
}
     \begin{picture}(16,-3)%-3      % Richtet TU-Text + Logos zentriert aus
      \put(-0.7,0.6)
        {\includegraphics{./logos/tum_logo}}
      \put(2.8,0.0)
        {}
      \put(15.4,0.35)
        {\includegraphics{./logos/HCR_logo}}
    \end{picture}
\end{figure}
}
%%%%%%%%%%%%% Leibold %%%%%%%%%%%%%%%%%%
\else
\ifx\@institute\@instituteHCRLeibold
\newcommand{\makelogo}{%
\begin{figure}[t!]
 \centering
   \setlength{\unitlength}{1cm}
{\fontfamily{phv}\selectfont
{\fontsize{8}{40}\selectfont TECHNISCHE UNIVERSIT\"AT M\"UNCHEN}\\
\vspace{2pt}
\textbf{\fontsize{10}{40}\selectfont LEHRSTUHL F\"UR STEUERUNGS- UND REGELUNGSTECHNIK}\\

{\fontsize{8}{40}\selectfont UNIV.-PROF. DR.-ING. DONGHEUI LEE}

{\fontsize{8}{40}\selectfont DR.-ING. MARION LEIBOLD}
}
     \begin{picture}(16,-3)%-3      % Richtet TU-Text + Logos zentriert aus
      \put(-0.7,0.6)
        {\includegraphics{./logos/tum_logo}}
      \put(2.8,0.0)
        {}
      \put(15.4,0.35)
        {\includegraphics{./logos/HCR_logo}}
    \end{picture}
\end{figure}
}
%%%%%%%%%%%%% ITR %%%%%%%%%%%%%%%%%%
\else
\ifx\@institute\@instituteITR
\newcommand{\makelogo}{%
\begin{figure}[t!]
 \centering
   \setlength{\unitlength}{1cm}
{\fontfamily{phv}\selectfont
{\fontsize{8}{40}\selectfont TECHNISCHE UNIVERSIT\"AT M\"UNCHEN}\\
\vspace{2pt}
\textbf{\fontsize{10}{40}\selectfont LEHRSTUHL F\"UR INFORMATIONSTECHNISCHE REGELUNG}\\

{\fontsize{8}{40}\selectfont ORDINARIA: UNIV.-PROF. DR.-ING. SANDRA HIRCHE}
}
     \begin{picture}(16,-3)%-3      % Richtet TU-Text + Logos zentriert aus
      \put(-0.7,0.6)
        {\includegraphics{./logos/tum_logo}}
      \put(2.8,0.0)
        {}
      \put(15.0,0.6)
        {\includegraphics[width=18mm]{./logos/itr_logo}}
    \end{picture}
\end{figure}
}
\fi
\fi
\fi
\fi
\fi
\fi
\fi
\fi

%%%%%%%%%%%%%%%%%%%%% M A K E T I T L E %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\if@cabinet
\renewcommand{\maketitle}{%
  \HCRmarks
  \if@langGer
  \centerline{\textbf{\underline{\@worktypetext}}}
  \underline{Betreuer/-in}: \@varsupervisor \hfill \underline{Datum}: \@date\\
  \underline{Zimmer-Nr.}: \@roomno\\
  \textbf{\underline{Thema}: \@title}
  \else
  \centerline{\textbf{\underline{\@worktypetext}}}
  \underline{Supervisor}: \@varsupervisor \hfill \underline{Date}: \@date\\
  \underline{Room-No.}: \@roomno\\
  \textbf{\underline{Topic}: \@title}
  \fi
}
\else
\if@gallery
\renewcommand{\maketitle}{%
  \HCRmarks
  \begin{center}
    {\@worktype}\\
    \footnotesize\sf(Ende:\ \@varfinal)\\
  \end{center}
  \begin{minipage}[h]{0.3\textwidth}
    \begin{center}
      {\includegraphics[height=3.5cm,angle=0]{foto_student}}
    \end{center}
  \end{minipage}
  \begin{minipage}[h]{0.65\textwidth}
    \begin{center}
      \textbf{\@title}\\[2ex]
      \@student\\
    \end{center}
  \end{minipage}
  \vskip 2ex
  \footnotesize\sf Betreuung:\ \@varsupervisor\
  \footnotesize
}
\else
\ifx\@worktype\@worktypePP
\renewcommand{\maketitle}{%
  \begin{flushright}{\@date}\end{flushright}
  \begin{center}
    {\@worktypetext}\\
    \if@langGer
    \ifthenelse{\equal{\@student}{\mbox{}}}{}
    {f\"ur\\
      \@student, Mat.-Nr. \@varmatnr\\}
    \ifthenelse{\equal{\@studenttwo}{\mbox{}}}{}
    {\@studenttwo, Mat.-Nr. \@varmatnrtwo\\}
    \ifthenelse{\equal{\@studentthree}{\mbox{}}}{}
    {\@studentthree, Mat.-Nr. \@varmatnrthree\\}
    \ifthenelse{\equal{\@studentfour}{\mbox{}}}{}
    {\@studentfour, Mat.-Nr. \@varmatnrfour\\}
    \vspace*{0.5cm}
    \textbf{\@title}
    \else
    \ifthenelse{\equal{\@student}{\mbox{}}}{}
    {for\\
      \@student, Mat.-Nr. \@varmatnr\\}
    \ifthenelse{\equal{\@studenttwo}{\mbox{}}}{}
    {\@studenttwo, Mat.-Nr. \@varmatnrtwo\\}
    \ifthenelse{\equal{\@studentthree}{\mbox{}}}{}
    {\@studentthree, Mat.-Nr. \@varmatnrthree\\}
    \ifthenelse{\equal{\@studentfour}{\mbox{}}}{}
    {\@studentfour, Mat.-Nr. \@varmatnrfour\\}
    \vspace*{0.5cm}
    \textbf{\@title}
    \fi
  \end{center}
}
\else
\ifx\@worktype\@worktypeHS
\renewcommand{\maketitle}{%
  \begin{flushright}{\@date}\end{flushright}
  \begin{center}
    {\@worktypetext}\\
    \if@langGer
    \ifthenelse{\equal{\@student}{\mbox{}}}{}
    {f\"ur\\
      \@student, Mat.-Nr. \@varmatnr\\}
    \ifthenelse{\equal{\@studenttwo}{\mbox{}}}{}
    {\@studenttwo, Mat.-Nr. \@varmatnrtwo\\}
    \ifthenelse{\equal{\@studentthree}{\mbox{}}}{}
    {\@studentthree, Mat.-Nr. \@varmatnrthree\\}
    \ifthenelse{\equal{\@studentfour}{\mbox{}}}{}
    {\@studentfour, Mat.-Nr. \@varmatnrfour\\}
    \vspace*{0.5cm}
    \textbf{\@title}
    \else
    \ifthenelse{\equal{\@student}{\mbox{}}}{}
    {for\\
      \@student, Mat.-Nr. \@varmatnr\\}
    \ifthenelse{\equal{\@studenttwo}{\mbox{}}}{}
    {\@studenttwo, Mat.-Nr. \@varmatnrtwo\\}
    \ifthenelse{\equal{\@studentthree}{\mbox{}}}{}
    {\@studentthree, Mat.-Nr. \@varmatnrthree\\}
    \ifthenelse{\equal{\@studentfour}{\mbox{}}}{}
    {\@studentfour, Mat.-Nr. \@varmatnrfour\\}
    \vspace*{0.5cm}
    \textbf{\@title}
    \fi
  \end{center}
  }
\else
\ifx\@worktype\@worktypeFP
\renewcommand{\maketitle}{%
  \begin{flushright}{\@date}\end{flushright}
  \begin{center}
    {\@worktypetext}\\
    \if@langGer
    \ifthenelse{\equal{\@student}{\mbox{}}}{}
    {
      f\"ur\\
      \@student\\
      Mat.-Nr. \@varmatnr, Studiengang \@varstudyfield\\} \vspace*{0.5cm}
      \textbf{\@title}
    \else
    \ifthenelse{\equal{\@student}{\mbox{}}}{}
    {
      for\\
      \@student\\
      Student ID \@varmatnr, Degree \@varstudyfield\\} \vspace*{0.5cm}
      \textbf{\@title}
    \fi
  \end{center}
  }
\else
\ifx\@worktype\@worktypeIP
\renewcommand{\maketitle}{%
  \begin{flushright}{\@date}\end{flushright}
  \begin{center}
    {\@worktypetext}\\
    \if@langGer
    \ifthenelse{\equal{\@student}{\mbox{}}}{}
    {
      f\"ur\\
      \@student\\
      Mat.-Nr. \@varmatnr, Studiengang \@varstudyfield\\} \vspace*{0.5cm}
      \textbf{\@title}
    \else
    \ifthenelse{\equal{\@student}{\mbox{}}}{}
    {
      for\\
      \@student\\
      Student ID \@varmatnr, Degree \@varstudyfield\\} \vspace*{0.5cm}
      \textbf{\@title}
    \fi
  \end{center}
  }
\else
\renewcommand{\maketitle}{%
  \begin{flushright}{\@date}\end{flushright}
  \begin{center}
    {\@worktypetext}\\
    \if@langGer
    \ifthenelse{\equal{\@student}{\mbox{}}}{}
    {
      f\"ur\\
      \@student\\
      Mat.-Nr. \@varmatnr, Studiengang \@varstudyfield\\} \vspace*{0.5cm}
      \textbf{\@title}\\
      \footnotesize (\textbf{\@vartitletranslation})
    \else
    \ifthenelse{\equal{\@student}{\mbox{}}}{}
    {
      for\\
      \@student\\
      Student ID \@varmatnr, Degree \@varstudyfield\\} \vspace*{0.5cm}
      \textbf{\@title}
    \fi
  \end{center}
}
\fi
\fi
\fi
\fi
\fi



%%%%%%%%%%%%%%%%%%%%% M A I N P A R T %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\if@gallery
\newcommand{\makemainpart}{%
}
\else
\if@cabinet
\newcommand{\makemainpart}{%
\probdesc
\@varprobdesctext
\tasks
\@vartasktext
\vspace*{0.5cm}
}
\else
   \ifx\@worktype\@worktypeIP
   \newcommand{\makemainpart}{%
   \probdesc
   \@varprobdesctext
   \tasks
   \@vartasktext
   \@varbibtext
   \vspace*{0.5cm}
   }
   \else
   \newcommand{\makemainpart}{%
   \probdesc
   \@varprobdesctext
   \tasks
   \@vartasktext
   \@varbibtext
   \vspace*{0.5cm}
   }
   \fi
\fi
\fi

%%%%%%%%%%%%%%%%%%%%% F O O T E R %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\if@cabinet
  \newcommand{\footer}{
  \if@langGer
    \underline{Bearbeiter}: \@student \hfill \underline{Beginn}:
    \@varstart
  \else
    \underline{Candidate}: \@student \hfill \underline{Begin}:
    \@varstart
  \fi
  }
\else
\if@gallery
    \newcommand{\footer}{}
\else
\if@langGer
  \ifx\@worktype\@worktypeHS
  \newcommand{\footer}{
    \vspace*{1ex}
    \begin{tabular}{ll}
      Betreuer/-in: & \@varsupervisor\\
    \end{tabular}
    \begin{flushright}
      \parbox[t]{4cm}{
        \vspace*{0.2cm}
        \normalsize\centering
        (\@varprofessor)\\
        \@varprofessortype
      }
    \end{flushright}
  }
  \else
  \ifx\@worktype\@worktypePP
  \newcommand{\footer}{
    \vspace*{1ex}
    \begin{tabular}{ll}
      Betreuer/-in: & \@varsupervisor\\
    \end{tabular}
    \begin{flushright}
      \parbox[t]{4cm}{
        \vspace*{0.2cm}
        \normalsize\centering
        (\@varprofessor)\\
        \@varprofessortype
      }
    \end{flushright}
  }
  \else
  \ifx\@worktype\@worktypeIP
  \newcommand{\footer}{
    \vspace*{1ex}
    \begin{tabular}{ll}
      Betreuer/-in: & \@varsupervisor\\
      Beginn: & \@varstart\\
      Abgabe: & \@varfinal
    \end{tabular}
    \begin{flushright}
      \parbox[t]{4cm}{
        \vspace*{0.2cm}
        \normalsize\centering
        (\@varprofessor)\\
        \@varprofessortype
      }
    \end{flushright}
  }
  \else
  \ifx\@worktype\@worktypeFP
  \newcommand{\footer}{
    \vspace*{1ex}
    \begin{tabular}{ll}
      Betreuer/-in: & \@varsupervisor\\
      Beginn: & \@varstart\\
      Abgabe: & \@varfinal
    \end{tabular}
    \begin{flushright}
      \parbox[t]{4cm}{
        \vspace*{0.2cm}
        \normalsize\centering
        (\@varprofessor)\\
        \@varprofessortype
      }
    \end{flushright}
  }
  \else
  \newcommand{\footer}{
    \vspace*{1ex}
    \begin{tabular}{ll}
      Betreuer/-in: & \@varsupervisor\\
      Beginn: & \@varstart\\
      Zwischenbericht: & \@varprog\\
      Abgabe: & \@varfinal
    \end{tabular}
    \begin{flushright}
      \parbox[t]{4cm}{
        \normalsize\centering
        (\@varprofessor)\\
        \@varprofessortype
      }
    \end{flushright}
  }
  \fi
  \fi
  \fi
  \fi
\else
   \ifx\@worktype\@worktypeHS
   \newcommand{\footer}{
     \vspace*{1ex}
     \begin{tabular}{ll}
       Supervisor: & \@varsupervisor\\
      \end{tabular}
     \begin{flushright}
       \parbox[t]{4cm}{
         \vspace*{0.2cm}
         \normalsize\centering
         (\@varprofessor)\\
         \@varprofessortype
       }
     \end{flushright}
   }
   \else
   \ifx\@worktype\@worktypePP
   \newcommand{\footer}{
     \vspace*{1ex}
     \begin{tabular}{ll}
       Supervisor: & \@varsupervisor\\
      \end{tabular}
     \begin{flushright}
       \parbox[t]{4cm}{
         \vspace*{0.2cm}
         \normalsize\centering
         (\@varprofessor)\\
         \@varprofessortype
       }
     \end{flushright}
   }
   \else
   \ifx\@worktype\@worktypeIP
   \newcommand{\footer}{
     \vspace*{1ex}
     \begin{tabular}{ll}
       Supervisor: & \@varsupervisor\\
       Start: & \@varstart\\
       Delivery: & \@varfinal
     \end{tabular}
     \begin{flushright}
       \parbox[t]{4cm}{
         \normalsize\centering
         (\@varprofessor)\\
         \@varprofessortype
       }
     \end{flushright}
   }
   \else
   \ifx\@worktype\@worktypeFP
   \newcommand{\footer}{
     \vspace*{1ex}
     \begin{tabular}{ll}
       Supervisor: & \@varsupervisor\\
       Start: & \@varstart\\
       Delivery: & \@varfinal
     \end{tabular}
     \begin{flushright}
       \parbox[t]{4cm}{
         \normalsize\centering
         (\@varprofessor)\\
         \@varprofessortype
       }
     \end{flushright}
   }
   \else
   \newcommand{\footer}{
     \vspace*{1ex}
     \begin{tabular}{ll}
       Supervisor: & \@varsupervisor\\
       Start: & \@varstart\\
       Intermediate Report: & \@varprog\\
       Delivery: & \@varfinal
     \end{tabular}
     \begin{flushright}
       \parbox[t]{4cm}{
         \normalsize\centering
         (\@varprofessor)\\
         \@varprofessortype
       }
     \end{flushright}
   }
\fi
\fi
\fi
\fi
\fi
\fi
\fi
\pagestyle{empty}
\renewcommand{\familydefault}{\sfdefault}


\setlength{\voffset}{0.6cm}
\setlength{\topmargin}{0.5cm}
\setlength{\headheight}{0cm}
\setlength{\headsep}{0cm}
\setlength{\topskip}{0cm}
\setlength{\hoffset}{-0.9cm}
\setlength{\oddsidemargin}{0cm}
\setlength{\evensidemargin}{0cm}
\setlength{\marginparsep}{0cm}
\setlength{\parindent}{0mm}
\if@cabinet
  \setlength{\paperwidth}{14.8cm}
  \setlength{\paperheight}{10.5cm}
  \setlength{\textwidth}{13.6cm}
  \setlength{\textheight}{9.4cm}
  \setlength{\hoffset}{1cm}
\else
\if@gallery
  \setlength{\paperwidth}{10.5cm}
  \setlength{\paperheight}{7.4cm}
  \setlength{\textwidth}{10cm}
  \setlength{\textheight}{7cm}
  \setlength{\hoffset}{-0.5cm}
\else
  \setlength{\voffset}{-1.3cm}
  \setlength{\topmargin}{0.1cm} %% was 0.5cm
  \setlength{\headheight}{0cm}
  \setlength{\headsep}{0cm}
  \setlength{\topskip}{0cm}
  \setlength{\hoffset}{-0.9cm}
  \setlength{\oddsidemargin}{0.2cm} %% was 0.0
  \setlength{\evensidemargin}{0cm}
  \setlength{\marginparsep}{0cm}
  \setlength{\textheight}{35cm}
  \setlength{\textwidth}{17.4cm} %% was 17.6
  \setlength{\linewidth}{17.6cm}
\fi
\fi

\setlength{\parindent}{0pt} % Kein Einrücken beim Absatz!!
\sloppy


%\newif\if@HCRusingAfourpaper      \global\@HCRusingAfourpapertrue

% % we only support 12pt fontsize
% \def\normalsize{\@setfontsize{\normalsize}{12}{13.92pt}}%
% \normalsize
% \abovedisplayskip 1.5ex plus6pt minus4pt%
% \belowdisplayskip \abovedisplayskip%
% \abovedisplayshortskip 0pt plus6pt%
% \belowdisplayshortskip 1.5ex plus6pt minus4pt
% \def\small{\@setfontsize{\small}{10}{12pt}}
% \def\footnotesize{\@setfontsize{\footnotesize}{9}{10.5pt}}
% \def\scriptsize{\@setfontsize{\scriptsize}{8}{9pt}}
% \def\tiny{\@setfontsize{\tiny}{6}{7pt}}
% % sublargesize is the same as large - 14pt
% \def\sublargesize{\@setfontsize{\sublargesize}{14}{17pt}}
% \def\large{\@setfontsize{\large}{14}{17pt}}
% \def\Large{\@setfontsize{\Large}{17}{20pt}}
% \def\LARGE{\@setfontsize{\LARGE}{20}{24pt}}
% \def\huge{\@setfontsize{\huge}{22}{26pt}}
% \def\Huge{\@setfontsize{\Huge}{24}{28pt}}

% % set \baselinestretch
% \def\baselinestretch{1}
% \normalsize % make \baselinestretch take affect

% % we want to maintain textheight as an integer multiple of
% % \baselineskip.  Keep \topsep in with this game plan too.
% \topskip=\baselineskip
% % set sizes and margins
% % Book typesetting is a world where point and pica (12pt) reign supreme.
% \topmargin        -0.25in
% \textheight        9.25in
% % However, we will adjust this a  tad so that an integer number
% % of lines will always fit on each page
% % The baselineskip (leading) for each document point size is used
% % to determine these values
% % rounded up an extra 0.1pt or so to prevent trouble with any rounding errors
% \textwidth         43pc   % 2 x 21pc + 1pc = 43pc
% \columnsep          1pc

% \oddsidemargin    14.32mm
% \addtolength{\oddsidemargin}{-1in}% compensate for LaTeX's 1in offset
% \evensidemargin   14.32mm
% \addtolength{\evensidemargin}{-1in}% compensate for LaTeX's 1in offset

% \parindent        1.0em
% \headsep          0in
% \headheight       0in

% \lineskip            0pt
% \normallineskip      0pt
% \lineskiplimit       0pt
% \normallineskiplimit 0pt
% \footskip 0.4in

% % normally zero, should be relative to font height.
% % put in a little rubber to help stop some bad breaks (underfull vboxes)
% \parskip 0ex plus 0.2ex minus 0.1ex


% % always using a4paper

% \DeclareOption{theme}{\setlength{\paperheight}{297mm}%
%                       \setlength{\paperwidth}{210mm}%
%                       \@HCRusingAfourpapertrue}

% {\@ifundefined{pdfpageheight}{% not using pdflatex, setup paper size for dvips
% \if@HCRusingAfourpaper
% \special{papersize=210mm,297mm}%
% \typeout{** A4 set.}
% \else
% \special{papersize=8.5in,11in}% !!!!!!!!!!! Change for small cards
% \fi}%
% {% using pdftex, set paper size for pdftex
% \global\pdfpageheight\paperheight\global\pdfpagewidth\paperwidth}}
